VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Privilege::ComponentInfo Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Privilege::ComponentInfo:

## Avaliable Methods
public method | new ()
public method | set_packages ()
public method | get_packages ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Privilege::ComponentInfo` class contains the privilege information of a component element.

For an explanation of privilege information contained within component elements, see class Com::Vmware::Vapi::Metadata::Privilege::Component .

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Privilege::ComponentInfo::get_packages | ( |  | ) |

Gets the value of 'packages' property.

Return values

  packages | - The current value of the field. Privilege information of all the package elements. The key in the map is the identifier of the package element and the value in the map is the privilege information for the package element.

For an explanation of privilege information containment within package elements, see class Com::Vmware::Vapi::Metadata::Privilege::Package .

Map#

Code:
click to view
# Number of lines of code in get_packages: 4
sub get_packages {
my ($self, %args) = @_;
return $self->{'packages'};
}

public method Com::Vmware::Vapi::Metadata::Privilege::ComponentInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Privilege::ComponentInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 16
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{packages} = $args{'packages'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Privilege::ComponentInfo');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.privilege.component_info');
$self->set_binding_field('key' => 'packages', 'value' => new Com::Vmware::Vapi::Bindings::Type::MapType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StructType('name' => 'map-entry', 'fields' => {'key' => new Com::Vmware::Vapi::Bindings::Type::StringType(), 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Privilege', 'type_name' => 'PackageInfo')}))));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Privilege::ComponentInfo::set_packages | ( |  | ) |

Sets the given value for 'packages' property.

Parameters

  packages | - New value for the field. Privilege information of all the package elements. The key in the map is the identifier of the package element and the value in the map is the privilege information for the package element.

For an explanation of privilege information containment within package elements, see class Com::Vmware::Vapi::Metadata::Privilege::Package .

Code:
click to view
# Number of lines of code in set_packages: 5
sub set_packages {
my ($self, %args) = @_;
$self->{'packages'} = $args{'packages'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Privilege/ComponentInfo.pm